org.apache.sling.sample.slingshot.impl

## Class SetupService

- java.lang.Object
- - org.apache.sling.sample.slingshot.impl.SetupService

    public class SetupService
    extends Object

The setup service checks the resource types for the main folders, as some of them can't be set through initial content.

### Constructor Summary

Constructors
Constructor and Description
`SetupService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate(org.osgi.framework.BundleContext bc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetupService

    public SetupService()

### Method Detail

#### activate

    protected void activate(org.osgi.framework.BundleContext bc)
                     throws IOException,
                            org.apache.sling.api.resource.LoginException,
                            org.apache.sling.api.resource.PersistenceException,
                            javax.jcr.RepositoryException

Throws:
  `IOException`
  `org.apache.sling.api.resource.LoginException`
  `org.apache.sling.api.resource.PersistenceException`
  `javax.jcr.RepositoryException`